#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF2,0xAA,0x50,0xFF,0x01,0x5E,0xAB,0xE7,0x7E,0x90,0x8E,0xF4,
		0x81,0xA5,0x2C,0x87,0x68,0xDC,0x11,0x93,0xCB,0x76,0xB4,0x50,
		0xA8,0xBB,0x14,0x5D,0x48,0xAD,0x33,0x28,0x1C,0xAD,0x9D,0x4B,
		0x7D,0x5A,0x9F,0x89,0x61,0x17,0x54,0xA6,0xD7,0xF5,0xE1,0xA4,
		0xC5,0x5F,0x69,0xB5,0x8F,0x32,0x0D,0xCD,0x41,0x21,0xFD,0x45,
		0x38,0xAC,0xE0,0xF3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
